import axios from "../../utils/axios";

//上传任务接口
export function filterUploadStatus(params) {
    return axios({
        url: "/spssync/basic/upload/status/filter",
        method: 'get',
        params: params
    });
}

export function deleteUploadStatus(params) {
    return axios({
        url: "/spssync/basic/upload/status/delete",
        method: 'get',
        params: params
    });
}


export function uploadInfoByStatus(query) {
  return axios({
    url: "/spssync/basic/udiinfo/uploadInfoByStatus",
    method: "get",
    params: query,
    responseType: 'blob'
  });
}


//下载任务接口
export function filterDownloadStatus(params) {
    return axios({
        url: "/spssync/basic/download/status/filter",
        method: 'get',
        params: params
    });
}

export function deleteDownloadStatus(params) {
    return axios({
        url: "/spssync/basic/download/status/delete",
        method: 'get',
        params: params
    })
}


export function connectUpper(params) {
    return axios({
        url: "/sps/sync/connect/test",
        method: 'get',
        params: params
    })
}

export function infoByStatus(query) {
  return axios({
    url: "/spssync/basic/udiinfo/infoByStatus",
    method: "get",
    params: query,
    responseType: 'blob'
  });
}
